> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nscale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete project

> Deletes the project associated with the authenticated user's scoped
authorization token. This is a cascading operation and will delete all
contained cluster managers and clusters.



## OpenAPI

````yaml /openapi/identity-openapi.yaml delete /api/v1/organizations/{organizationID}/projects/{projectID}
openapi: 3.0.3
info:
  title: Identity API
  description: >-
    The Identity API provides an OIDC compliant interface for use with all
    official

    and 3rd party services and proxies.  As its intended use is for multi-tenant
    cloud

    deployments, it acts as an aggregation layer for other 3rd party OIDC
    services,

    dispatching login requests to the required OIDC backend.  Token
    introspection forms

    the basis of role based access control across all APIs.  For security
    purposes,

    access tokens and refresh tokens are limited to a single session per client,
    thus

    if they are being consumed by a horizontally scalable platform care must be
    taken

    to ensure token rotation is handled atomically by a single process, and the
    tokens

    are distributed to each service instance synchronously.
  version: 1.11.0
servers:
  - url: https://identity.nks.europe-west4.nscale.com
security: []
paths:
  /api/v1/organizations/{organizationID}/projects/{projectID}:
    description: >-
      Implements project management services.  Projects are associated with

      user groups, and provide project-scoped role-based access control.

      Infrastructure provisioning, for example the Compute and Kubernetes
      services,

      occurs within a project.
    parameters:
      - $ref: '#/components/parameters/organizationIDParameter'
      - $ref: '#/components/parameters/projectIDParameter'
    delete:
      tags:
        - Projects
      summary: Delete project
      description: |-
        Deletes the project associated with the authenticated user's scoped
        authorization token. This is a cascading operation and will delete all
        contained cluster managers and clusters.
      responses:
        '202':
          $ref: '#/components/responses/acceptedResponse'
        '400':
          $ref: '#/components/responses/badRequestResponse'
        '401':
          $ref: '#/components/responses/unauthorizedResponse'
        '403':
          $ref: '#/components/responses/forbiddenResponse'
        '404':
          $ref: '#/components/responses/notFoundResponse'
        '500':
          $ref: '#/components/responses/internalServerErrorResponse'
      security:
        - oauth2Authentication: []
components:
  parameters:
    organizationIDParameter:
      name: organizationID
      in: path
      description: An organization ID.
      required: true
      schema:
        type: string
    projectIDParameter:
      name: projectID
      in: path
      description: A project ID.
      required: true
      schema:
        type: string
  responses:
    acceptedResponse:
      description: |-
        The request has been accepted and will be fulfilled asynchronously.
        You may poll the resource and monitor its provisioning and health status
        to await completion of the operation.
    badRequestResponse:
      description: |-
        Request body failed schema validation, or the request does not contain
        all the required fields.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: invalid_request
            error_description: request body invalid
    unauthorizedResponse:
      description: Authentication failed or the access token has expired.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: access_denied
            error_description: authentication failed
    forbiddenResponse:
      description: >-
        Request was denied by authorization, this may be caused by the
        authorization

        token not having the required scope for an API, or the user doesn't have
        the

        necessary privileges on the provider platform.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: forbidden
            error_description: user credentials do not have the required privileges
    notFoundResponse:
      description: Unable to find a resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: not_found
            error_description: the requested resource does not exist
    internalServerErrorResponse:
      description: >-
        An unexpected or unhandled error occurred. This may be a transient error
        and

        may succeed on a retry.  If this isn't the case, please report it as an
        issue.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: server_error
            error_description: failed to token claim
  schemas:
    error:
      description: Generic error message, compatible with oauth2.
      type: object
      required:
        - error
        - error_description
      properties:
        error:
          description: >-
            A terse error string expanding on the HTTP error code. Errors are
            based on the OAuth 2.02 specification, but are expanded with
            proprietary status codes for APIs other than those specified by
            OAuth 2.02.
          type: string
          enum:
            - invalid_request
            - server_error
            - access_denied
            - not_found
            - conflict
            - method_not_allowed
            - unsupported_media_type
            - request_entity_too_large
            - forbidden
        error_description:
          description: Verbose message describing the error.
          type: string
  securitySchemes:
    oauth2Authentication:
      description: Operation requires OAuth 2.0 bearer token authentication.
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://identity.nks.europe-west4.nscale.com/oauth2/v2/authorization
          tokenUrl: https://identity.nks.europe-west4.nscale.com/oauth2/v2/token
          scopes: {}

````